#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#
# (c) 2000, 2001  Robey Pointer  <robey@lag.net>
#


import string, localizer

def is_on(str):
    if (string.lower(str) == 'on') or (string.lower(str) == 'yes'):
        return 1
    return 0

def on_str(n):
    if n:
        return 'on'
    return 'off'

def set_timestamp(client, val):
    client.TIMESTAMP = is_on(val)
    client.CONFIG['timestamp'] = on_str(is_on(val))

def set_indent(client, val):
    client.console.set_indent(int(val))
    client.CONFIG['indent'] = str(int(val))

def set_word_wrap(client, val):
    client.console.set_word_wrap(is_on(val))
    client.CONFIG['word-wrap'] = on_str(is_on(val))

def set_status_bar(client, val):
    if val[-1] == '"':
        val = val[:-1]
    if val[0] == '"':
        val = val[1:]
    client.console.set_status_line(val)

def set_more_mode(client, val):
    client.console.set_more_mode(is_on(val))
    client.CONFIG['more-mode'] = on_str(is_on(val))

def set_beep_on_msg(client, val):
    client.BEEP_ON_MSG = is_on(val)
    client.CONFIG['beep-on-msg'] = on_str(is_on(val))

def set_highlight_nick(client, val):
    client.HIGHLIGHT_NICK = is_on(val)
    client.CONFIG['highlight-nick'] = on_str(is_on(val))
    
def set_entry_size(client, val):
    list = string.split(val, ',')
    if len(list) < 2:
        list.append(list[0])
    client.console.set_expand(int(list[0]), int(list[1]))
    client.CONFIG['entry-size'] = str(int(list[0])) + ',' + str(int(list[1]))

def set_encoding(client, val):
    client.ENCODING = str(val)
    client.utf8 = localizer.Localizer(client.ENCODING)
    client.CONFIG['encoding'] = str(val)
    # kinda hacky, but basically we want to show control chars in a special way
    # for ppl using one of the latin-N encodings
    if string.lower(str(val))[:8] == 'iso-8859':
        client.set_quote_ctrl(1)
    else:
        client.set_quote_ctrl(0)

def set_cork_on_away(client, val):
    client.CORK_ON_AWAY = is_on(val)
    client.CONFIG['cork-on-away'] = on_str(is_on(val))

def set_idle_limit(client, val):
    client.IDLE_LIMIT = int(val)*60
    client.CONFIG['idle-limit'] = str(int(val))
    
